<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");
 require_once("../user.inc.php");
 user_auth_required('committee', 'admin');

 send_header("Award Prizes",
 		array('Committee Main' => 'committee_main.php',
			'Administration' => 'admin/index.php',
			'Awards Main' => 'admin/awards.php',
			'Awards Management' => 'admin/award_awards.php')
		);

 if($_GET['award_awards_id'])
 	$award_awards_id=$_GET['award_awards_id'];
 else if($_POST['award_awards_id'])
 	$award_awards_id=$_POST['award_awards_id'];
?>

<?
	if($award_awards_id)
	{
		if($award_awards_id==-1)
		{
			$award->name="Generic Prize Template";
		}
		else
		{
			$q=mysql_query("SELECT * FROM award_awards WHERE id='".$award_awards_id."'");
			$award=mysql_fetch_object($q);
		}

		if($_POST['save']=="edit" || $_POST['save']=="add")
		{
			if($_POST['save']=="add")
			{
				if($award_awards_id==-1)
					$q=mysql_query("INSERT INTO award_prizes (award_awards_id,year) VALUES ('0','-1')");
				else
					$q=mysql_query("INSERT INTO award_prizes (award_awards_id,year) VALUES ('$award_awards_id','".$config['FAIRYEAR']."')");
				
				$id=mysql_insert_id();
			}
			else
				$id=$_POST['id'];


			$exec="UPDATE award_prizes SET ".
				"prize='".mysql_escape_string(stripslashes($_POST['prize']))."', ".
				"cash='".mysql_escape_string(stripslashes($_POST['cash']))."', ".
				"scholarship='".mysql_escape_string(stripslashes($_POST['scholarship']))."', ".
				"value='".mysql_escape_string(stripslashes($_POST['value']))."', ".
				"number='".mysql_escape_string(stripslashes($_POST['number']))."', ".
				"excludefromac='".mysql_escape_string(stripslashes($_POST['excludefromac']))."', ".
				"trophystudentkeeper='".mysql_escape_string(stripslashes($_POST['trophystudentkeeper']))."', ".
				"trophystudentreturn='".mysql_escape_string(stripslashes($_POST['trophystudentreturn']))."', ".
				"trophyschoolkeeper='".mysql_escape_string(stripslashes($_POST['trophyschoolkeeper']))."', ".
				"trophyschoolreturn='".mysql_escape_string(stripslashes($_POST['trophyschoolreturn']))."', ".
				"`order`='".mysql_escape_string(stripslashes($_POST['order']))."' ".
				"WHERE id='$id'";
			mysql_query($exec);

			if($_POST['save']=="add")
				echo happy("Prize successfully added");
			else
				echo happy("Successfully saved changes to prize");
		}

		if($_POST['action']=="reorder")
		{
			if(is_array($_POST['reorder']))
			{
				foreach($_POST['reorder'] AS $key=>$val)
				{
					mysql_query("UPDATE award_prizes SET `order`='$val' WHERE id='$key'");
				}
				echo happy("Award Prizes successfully reordered");
			}
		}


		if($_GET['action']=="delete" && $_GET['delete'])
		{
			mysql_query("DELETE FROM award_prizes WHERE id='".$_GET['delete']."'");
			echo happy("Contact successfully deleted");
		}

		if($_GET['action']=="edit" || $_GET['action']=="add")
		{

			echo "<a href=\"award_prizes.php?award_awards_id=$award_awards_id\">&lt;&lt; ".i18n("Back to Prizes for %1",array($award->name))."</a>\n";
			echo "<br />";
			echo "<br />";
			if($_GET['action']=="edit")
			{
				echo "<h3>".i18n("Edit Prize for %1",array($award->name))."</h3>\n";
				$buttontext="Save Prize";
				$q=mysql_query("SELECT * FROM award_prizes WHERE id='".$_GET['edit']."'");
				$r=mysql_fetch_object($q);
			}
			else if($_GET['action']=="add")
			{
				echo "<h3>".i18n("Add Prize for %1",array($award->name))."</h3>\n";
				$buttontext="Add Prize";
			}
			$buttontext=i18n($buttontext);

			echo "<form method=\"post\" action=\"award_prizes.php\">\n";
			echo "<input type=\"hidden\" name=\"award_awards_id\" value=\"$award_awards_id\">\n";
			echo "<input type=\"hidden\" name=\"save\" value=\"".$_GET['action']."\">\n";

			if($_GET['action']=="edit")
				echo "<input type=\"hidden\" name=\"id\" value=\"".$_GET['edit']."\">\n";

			echo "<table class=\"tableedit\">\n";
			echo "<tr><td>".i18n("Prize Description")."<br />(".i18n("If non cash/scholarship").")</td><td></td><td><input type=\"text\" id=\"prize\" name=\"prize\" value=\"".htmlspecialchars($r->prize)."\" size=\"40\" maxlength=\"128\" /><script type=\"text/javascript\">translateButton('prize');</script></td></tr>\n";
			echo "<tr><td>".i18n("Cash Amount")."</td><td>\$</td><td><input type=\"text\" name=\"cash\" value=\"".htmlspecialchars($r->cash)."\" size=\"10\" maxlength=\"10\" /></td></tr>\n";
			echo "<tr><td>".i18n("Scholarship Amount")."</td><td>\$</td><td><input type=\"text\" name=\"scholarship\" value=\"".htmlspecialchars($r->scholarship)."\" size=\"10\" maxlength=\"10\" /></td></tr>\n";
			echo "<tr><td>".i18n("Prize Value")."</td><td>\$</td><td><input type=\"text\" name=\"value\" value=\"".htmlspecialchars($r->value)."\" size=\"10\" maxlength=\"10\" /></td></tr>\n";
			echo "<tr><td>".i18n("Number available")."</td><td></td><td><input type=\"text\" name=\"number\" value=\"".htmlspecialchars($r->number)."\" size=\"3\" maxlength=\"5\" /></td></tr>\n";
			echo "<tr><td>".i18n("Order")."</td><td></td><td><input type=\"text\" name=\"order\" value=\"".htmlspecialchars($r->order)."\" size=\"3\" maxlength=\"5\" /></td></tr>\n";
			echo "<tr><td valign=\"top\">".i18n("Plaque/Trophy")."</td><td align=\"right\" colspan=\"1\">";
			if($r->trophystudentkeeper==1) $ch="checked=\"checked\""; else $ch="";
			echo "<input $ch type=\"checkbox\" name=\"trophystudentkeeper\" value=\"1\"></td><td>".i18n("Student(s) keeper trophy")."</td></tr>";
			echo "<tr><td align=\"right\" colspan=\"2\">";
			if($r->trophystudentreturn==1) $ch="checked=\"checked\""; else $ch="";
			echo "<input $ch type=\"checkbox\" name=\"trophystudentreturn\" value=\"1\"></td><td>".i18n("Student(s) annual return/reuse trophy")."</td></tr>";
			echo "<tr><td align=\"right\" colspan=\"2\">";
			if($r->trophyschoolkeeper==1) $ch="checked=\"checked\""; else $ch="";
			echo "<input $ch type=\"checkbox\" name=\"trophyschoolkeeper\" value=\"1\"></td><td>".i18n("School keeper trophy")."</td></tr>";
			echo "<tr><td align=\"right\" colspan=\"2\">";
			if($r->trophyschoolreturn==1) $ch="checked=\"checked\""; else $ch="";
			echo "<input $ch type=\"checkbox\" name=\"trophyschoolreturn\" value=\"1\"></td><td>".i18n("School annual return/reuse trophy")."</td></tr>";

			echo "<tr><td>".i18n("Awards Ceremony")."</td><td align=\"right\" colspan=\"1\">";
			if($r->excludefromac==1) $ch="checked=\"checked\""; else $ch="";
			echo "<input $ch type=\"checkbox\" name=\"excludefromac\" value=\"1\"></td><td>".i18n("Exclude this prize from the award ceremony script")."</td></tr>";

			echo "<tr><td colspan=\"3\" align=\"center\"><input type=\"submit\" value=\"$buttontext\" /></td></tr>\n";

			echo "</table>\n";
			echo "</form>\n";
		}
		else
		{

			echo "<br />";
			echo "<a href=\"award_prizes.php?award_awards_id=$award_awards_id&action=add\">".i18n("Add New Prize to %1",array($award->name))."</a>\n";
			echo "<br />";

			if($award_awards_id==-1)
			{
				$q=mysql_query("SELECT * FROM award_prizes WHERE year='-1' AND award_awards_id='0' ORDER BY `order`");

			}
			else
			{
				$q=mysql_query("SELECT * FROM award_prizes WHERE year='".$config['FAIRYEAR']."' AND award_awards_id='$award_awards_id' ORDER BY `order`");
			}

			if(mysql_num_rows($q))
			{
				echo "<form method=\"post\" action=\"award_prizes.php\">";
				echo "<input type=\"hidden\" name=\"action\" value=\"reorder\">";
				echo "<input type=\"hidden\" name=\"award_awards_id\" value=\"$award_awards_id\">";

				echo "<table class=\"tableview\">";
				echo "<tr>";
				echo " <th>".i18n("Order")."</th>";
				echo " <th>".i18n("Prize Description")."</th>";
				echo " <th>".i18n("Cash")."</th>";
				echo " <th>".i18n("Scholarship")."</th>";
				echo " <th>".i18n("Value")."</th>";
				echo " <th>".i18n("# Available")."</th>";
				echo " <th>Actions</th>";
				echo "</tr>\n";


				$hasexternal=false;
				while($r=mysql_fetch_object($q))
				{
					if($r->external_identifier){ $cl="class=\"externalaward\""; $hasexternal=true; } else $cl="";
					echo "<tr $cl>\n";
					echo " <td><input type=\"text\" name=\"reorder[$r->id]\" value=\"$r->order\" size=\"3\" /></td>\n";
					echo " <td>$r->prize</td>\n";
					echo " <td align=\"right\">";
					if($r->cash) echo "\$$r->cash";
					else echo "&nbsp;";
					echo " </td>";
					echo " <td align=\"right\">";
					if($r->scholarship) echo "\$$r->scholarship";
					else echo "&nbsp;";
					echo " </td>";
					echo " <td align=\"right\">";
					if($r->value) echo "\$$r->value";
					else echo "&nbsp;";
					echo " </td>";
					echo " <td align=\"center\">$r->number</td>\n";
					echo " <td align=\"center\">";
					echo "<a href=\"award_prizes.php?award_awards_id=$award_awards_id&action=edit&edit=$r->id\"><img border=\"0\" src=\"".$config['SFIABDIRECTORY']."/images/16/edit.".$config['icon_extension']."\"></a>";
					echo "&nbsp;";
					echo "<a onclick=\"return confirmClick('Are you sure you want to remove this prize?')\" href=\"award_prizes.php?award_awards_id=$award_awards_id&action=delete&delete=$r->id\"><img border=0 src=\"".$config['SFIABDIRECTORY']."/images/16/button_cancel.".$config['icon_extension']."\"></a>";


					echo " </td>\n";
					echo "</tr>\n";
				}
				if($hasexternal)
					echo "<tr class=\"externalaward\"><td colspan=\"7\">".i18n("Indicates prize imported from an external source")."</td></tr>";

				echo "</table>\n";
				echo "<input type=\"submit\" value=\"".i18n("Re-order prizes")."\" />";
				echo "</form>";
			}

		}


	}
	else
	{
		echo error(i18n("No Award ID specified"));
		echo "<a href=\"award_awards.php\">".i18n("Choose an award")."</a>";
	}

	send_footer();

?>
